var kibu = require('../kibu');

describe('kibu', function () {

  it('exists', function () {
    expect(kibu).toBeDefined();
  });

  it('exposes application', function () {
    expect(kibu.application).toBeDefined();
    expect(typeof kibu.application).toBe('function');
  });

  it('exposes the Controller class', function () {
    expect(kibu.Controller).toBeDefined();
    expect(typeof kibu.Controller).toBe('function');
  });

  it('exposes the router', function () {
    expect(kibu.router).toBeDefined();
    expect(typeof kibu.router).toBe('object');
  });

  it('exposes the View class', function () {
    expect(kibu.View).toBeDefined();
    expect(typeof kibu.View).toBe('function');
  });

  it('exposes _ (utility)', function () {
    expect(kibu._).toBeDefined();
    expect(typeof kibu._).toBe('object');
  });
});